> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove product from price book

> Remove a product and its price configurations from a price book.



## OpenAPI

````yaml delete /v1/price-books/{id}/products/{productId}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/price-books/{id}/products/{productId}:
    delete:
      tags:
        - Price books
      summary: Remove product from price book
      description: Remove a product and its price configurations from a price book.
      operationId: deleteProductFromPriceBook
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: productId
          in: path
      responses:
        '204':
          description: Product removed from price book.
        '404':
          description: Price book or product not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````